Solo pool v0.2.3

Hello,
i have installed v0.2.3 solo pool and getting this error, could you please point me what am I doing wrong ?
I have unpack release file, run npm install in datadir ,execute ./configure.sh. and run it through the ./run_quickstart. Previous version on the same machine works.
thank you !

[email protected]:/datadir/data/aion/pool023$ ./run_quickstart.sh
11515:C 11 Jan 10:52:20.725 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
11515:C 11 Jan 10:52:20.725 # Redis version=4.0.8, bits=64, commit=00000000, modified=0, pid=11515, just started
11515:C 11 Jan 10:52:20.725 # Configuration loaded
function verify() { [native code] }
2019-01-11 10:52:21 [POSIX] [Connection Limit] (Safe to ignore) POSIX module not installed and resource (connection) limit was not raised
2019-01-11 10:52:21 [Master] [CLI] CLI listening on port 17117
2019-01-11 10:52:21 [Master] [PoolSpawner] Spawned 1 pool(s) on 1 thread(s)
function verify() { [native code] }
2019-01-11 10:52:21 [Switching] [Setup] (Thread 1) Loading last proxy state from redis
2019-01-11 10:52:21 [Pool] [aion] (Thread 1) Share processing setup with redis (127.0.0.1:6379)
/datadir/data/aion/pool023/local_modules/stratum-pool/lib/daemon.js:137
result.sort(function(a, b){
^

TypeError: Cannot read property ‘sort’ of null
at /datadir/data/aion/pool023/local_modules/stratum-pool/lib/daemon.js:137:20
at ClientRequest. (/datadir/data/aion/pool023/local_modules/stratum-pool/lib/daemon.js:103:17)
at emitOne (events.js:116:13)
at ClientRequest.emit (events.js:211:7)
at Socket.socketErrorListener (_http_client.js:387:9)
at emitOne (events.js:116:13)
at Socket.emit (events.js:211:7)
at emitErrorNT (internal/streams/destroy.js:64:8)
at _combinedTickCallback (internal/process/next_tick.js:138:11)
at process._tickCallback (internal/process/next_tick.js:180:9)
2019-01-11 10:52:21 [Master] [PoolSpawner] Fork 0 died, spawning replacement worker…
function verify() { [native code] }

I don’t think you need to run npm install, can’t think of anything else that might be the problem so maybe try installing with just ./configure.sh?

Hi Jim ,
thank you for the reply. Unfornatelly just running ./configure.sh giving me the same result.Even on the clean ubuntu desktop 16.05 install. There are few warnings in the configure process :
aion1

aion2

I’m afraid I can’t help you. I’d advise you to post the issue to the github repo and have some devs look at the problem, because there might be a bug in the code: https://github.com/aionnetwork/aion_miner/issues

Hey @proroq

You can generally ignore those warnings, pretty much all of them should be harmless for the solo pools operation.

Solo pool not working. I mean if you installing it now.
If you have it for a while, i guess it works.

Still waiting for a new solo-pool package…

I’m not sure guys, solo pool is working for me. The last thing I can think of is that the released version is not correct. What you can try is the following:

git clone https://github.com/aionnetwork/aion_miner
git checkout order_async

That’s the branch I’m running. From there you can install like normal. Install git ofc if you don’t have that.

Please post here if that approach works, because then the release needs to be updated by the team.